# Constant Field Values

## Contents

- org.springframework.*

## org.springframework.*

org.springframework.http.HttpHeaders
Modifier and Type
Constant Field
Value
`public static final String`
`ACCEPT`
`"Accept"`
`public static final String`
`ACCEPT_CHARSET`
`"Accept-Charset"`
`public static final String`
`ACCEPT_ENCODING`
`"Accept-Encoding"`
`public static final String`
`ACCEPT_LANGUAGE`
`"Accept-Language"`
`public static final String`
`ACCEPT_PATCH`
`"Accept-Patch"`
`public static final String`
`ACCEPT_RANGES`
`"Accept-Ranges"`
`public static final String`
`ACCESS_CONTROL_ALLOW_CREDENTIALS`
`"Access-Control-Allow-Credentials"`
`public static final String`
`ACCESS_CONTROL_ALLOW_HEADERS`
`"Access-Control-Allow-Headers"`
`public static final String`
`ACCESS_CONTROL_ALLOW_METHODS`
`"Access-Control-Allow-Methods"`
`public static final String`
`ACCESS_CONTROL_ALLOW_ORIGIN`
`"Access-Control-Allow-Origin"`
`public static final String`
`ACCESS_CONTROL_EXPOSE_HEADERS`
`"Access-Control-Expose-Headers"`
`public static final String`
`ACCESS_CONTROL_MAX_AGE`
`"Access-Control-Max-Age"`
`public static final String`
`ACCESS_CONTROL_REQUEST_HEADERS`
`"Access-Control-Request-Headers"`
`public static final String`
`ACCESS_CONTROL_REQUEST_METHOD`
`"Access-Control-Request-Method"`
`public static final String`
`AGE`
`"Age"`
`public static final String`
`ALLOW`
`"Allow"`
`public static final String`
`AUTHORIZATION`
`"Authorization"`
`public static final String`
`CACHE_CONTROL`
`"Cache-Control"`
`public static final String`
`CONNECTION`
`"Connection"`
`public static final String`
`CONTENT_DISPOSITION`
`"Content-Disposition"`
`public static final String`
`CONTENT_ENCODING`
`"Content-Encoding"`
`public static final String`
`CONTENT_LANGUAGE`
`"Content-Language"`
`public static final String`
`CONTENT_LENGTH`
`"Content-Length"`
`public static final String`
`CONTENT_LOCATION`
`"Content-Location"`
`public static final String`
`CONTENT_RANGE`
`"Content-Range"`
`public static final String`
`CONTENT_TYPE`
`"Content-Type"`
`public static final String`
`COOKIE`
`"Cookie"`
`public static final String`
`DATE`
`"Date"`
`public static final String`
`ETAG`
`"ETag"`
`public static final String`
`EXPECT`
`"Expect"`
`public static final String`
`EXPIRES`
`"Expires"`
`public static final String`
`FROM`
`"From"`
`public static final String`
`HOST`
`"Host"`
`public static final String`
`IF_MATCH`
`"If-Match"`
`public static final String`
`IF_MODIFIED_SINCE`
`"If-Modified-Since"`
`public static final String`
`IF_NONE_MATCH`
`"If-None-Match"`
`public static final String`
`IF_RANGE`
`"If-Range"`
`public static final String`
`IF_UNMODIFIED_SINCE`
`"If-Unmodified-Since"`
`public static final String`
`LAST_MODIFIED`
`"Last-Modified"`
`public static final String`
`LINK`
`"Link"`
`public static final String`
`LOCATION`
`"Location"`
`public static final String`
`MAX_FORWARDS`
`"Max-Forwards"`
`public static final String`
`ORIGIN`
`"Origin"`
`public static final String`
`PRAGMA`
`"Pragma"`
`public static final String`
`PROXY_AUTHENTICATE`
`"Proxy-Authenticate"`
`public static final String`
`PROXY_AUTHORIZATION`
`"Proxy-Authorization"`
`public static final String`
`RANGE`
`"Range"`
`public static final String`
`REFERER`
`"Referer"`
`public static final String`
`RETRY_AFTER`
`"Retry-After"`
`public static final String`
`SERVER`
`"Server"`
`public static final String`
`SET_COOKIE`
`"Set-Cookie"`
`public static final String`
`SET_COOKIE2`
`"Set-Cookie2"`
`public static final String`
`TE`
`"TE"`
`public static final String`
`TRAILER`
`"Trailer"`
`public static final String`
`TRANSFER_ENCODING`
`"Transfer-Encoding"`
`public static final String`
`UPGRADE`
`"Upgrade"`
`public static final String`
`USER_AGENT`
`"User-Agent"`
`public static final String`
`VARY`
`"Vary"`
`public static final String`
`VIA`
`"Via"`
`public static final String`
`WARNING`
`"Warning"`
`public static final String`
`WWW_AUTHENTICATE`
`"WWW-Authenticate"`
org.springframework.http.MediaType
Modifier and Type
Constant Field
Value
`public static final String`
`ALL_VALUE`
`"*/*"`
`public static final String`
`APPLICATION_ATOM_XML_VALUE`
`"application/atom+xml"`
`public static final String`
`APPLICATION_CBOR_VALUE`
`"application/cbor"`
`public static final String`
`APPLICATION_FORM_URLENCODED_VALUE`
`"application/x-www-form-urlencoded"`
`public static final String`
`APPLICATION_GRAPHQL_RESPONSE_VALUE`
`"application/graphql-response+json"`
`public static final String`
`APPLICATION_GRAPHQL_VALUE`
`"application/graphql+json"`
`public static final String`
`APPLICATION_JSON_UTF8_VALUE`
`"application/json;charset=UTF-8"`
`public static final String`
`APPLICATION_JSON_VALUE`
`"application/json"`
`public static final String`
`APPLICATION_NDJSON_VALUE`
`"application/x-ndjson"`
`public static final String`
`APPLICATION_OCTET_STREAM_VALUE`
`"application/octet-stream"`
`public static final String`
`APPLICATION_PDF_VALUE`
`"application/pdf"`
`public static final String`
`APPLICATION_PROBLEM_JSON_UTF8_VALUE`
`"application/problem+json;charset=UTF-8"`
`public static final String`
`APPLICATION_PROBLEM_JSON_VALUE`
`"application/problem+json"`
`public static final String`
`APPLICATION_PROBLEM_XML_VALUE`
`"application/problem+xml"`
`public static final String`
`APPLICATION_PROTOBUF_VALUE`
`"application/x-protobuf"`
`public static final String`
`APPLICATION_RSS_XML_VALUE`
`"application/rss+xml"`
`public static final String`
`APPLICATION_STREAM_JSON_VALUE`
`"application/stream+json"`
`public static final String`
`APPLICATION_XHTML_XML_VALUE`
`"application/xhtml+xml"`
`public static final String`
`APPLICATION_XML_VALUE`
`"application/xml"`
`public static final String`
`APPLICATION_YAML_VALUE`
`"application/yaml"`
`public static final String`
`IMAGE_GIF_VALUE`
`"image/gif"`
`public static final String`
`IMAGE_JPEG_VALUE`
`"image/jpeg"`
`public static final String`
`IMAGE_PNG_VALUE`
`"image/png"`
`public static final String`
`MULTIPART_FORM_DATA_VALUE`
`"multipart/form-data"`
`public static final String`
`MULTIPART_MIXED_VALUE`
`"multipart/mixed"`
`public static final String`
`MULTIPART_RELATED_VALUE`
`"multipart/related"`
`public static final String`
`TEXT_EVENT_STREAM_VALUE`
`"text/event-stream"`
`public static final String`
`TEXT_HTML_VALUE`
`"text/html"`
`public static final String`
`TEXT_MARKDOWN_VALUE`
`"text/markdown"`
`public static final String`
`TEXT_PLAIN_VALUE`
`"text/plain"`
`public static final String`
`TEXT_XML_VALUE`
`"text/xml"`

org.springframework.http.codec.protobuf.ProtobufDecoder
Modifier and Type
Constant Field
Value
`protected static final int`
`DEFAULT_MESSAGE_MAX_SIZE`
`262144`
org.springframework.http.codec.protobuf.ProtobufJsonDecoder
Modifier and Type
Constant Field
Value
`protected static final int`
`DEFAULT_MESSAGE_MAX_SIZE`
`262144`

org.springframework.http.converter.json.ProblemDetailJacksonXmlMixin
Modifier and Type
Constant Field
Value
`public static final String`
`NAMESPACE`
`"urn:ietf:rfc:7807"`

org.springframework.http.converter.protobuf.ProtobufHttpMessageConverter
Modifier and Type
Constant Field
Value
`public static final String`
`X_PROTOBUF_MESSAGE_HEADER`
`"X-Protobuf-Message"`
`public static final String`
`X_PROTOBUF_SCHEMA_HEADER`
`"X-Protobuf-Schema"`

org.springframework.web.bind.ServletRequestParameterPropertyValues
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PREFIX_SEPARATOR`
`"_"`
org.springframework.web.bind.WebDataBinder
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_FIELD_DEFAULT_PREFIX`
`"!"`
`public static final String`
`DEFAULT_FIELD_MARKER_PREFIX`
`"_"`

org.springframework.web.bind.annotation.ValueConstants
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_NONE`
`"\n\t\t\n\t\t\n\ue000\ue001\ue002\n\t\t\t\t\n"`

org.springframework.web.context.ConfigurableWebApplicationContext
Modifier and Type
Constant Field
Value
`public static final String`
`SERVLET_CONFIG_BEAN_NAME`
`"servletConfig"`
org.springframework.web.context.ContextLoader
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_LOCATION_PARAM`
`"contextConfigLocation"`
`public static final String`
`CONTEXT_CLASS_PARAM`
`"contextClass"`
`public static final String`
`CONTEXT_ID_PARAM`
`"contextId"`
`public static final String`
`CONTEXT_INITIALIZER_CLASSES_PARAM`
`"contextInitializerClasses"`
`public static final String`
`GLOBAL_INITIALIZER_CLASSES_PARAM`
`"globalInitializerClasses"`
org.springframework.web.context.WebApplicationContext
Modifier and Type
Constant Field
Value
`public static final String`
`CONTEXT_ATTRIBUTES_BEAN_NAME`
`"contextAttributes"`
`public static final String`
`CONTEXT_PARAMETERS_BEAN_NAME`
`"contextParameters"`
`public static final String`
`SCOPE_APPLICATION`
`"application"`
`public static final String`
`SCOPE_REQUEST`
`"request"`
`public static final String`
`SCOPE_SESSION`
`"session"`
`public static final String`
`SERVLET_CONTEXT_BEAN_NAME`
`"servletContext"`

org.springframework.web.context.request.RequestAttributes
Modifier and Type
Constant Field
Value
`public static final String`
`REFERENCE_REQUEST`
`"request"`
`public static final String`
`REFERENCE_SESSION`
`"session"`
`public static final int`
`SCOPE_REQUEST`
`0`
`public static final int`
`SCOPE_SESSION`
`1`

org.springframework.web.context.support.GroovyWebApplicationContext
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CONFIG_LOCATION`
`"/WEB-INF/applicationContext.groovy"`
`public static final String`
`DEFAULT_CONFIG_LOCATION_PREFIX`
`"/WEB-INF/"`
`public static final String`
`DEFAULT_CONFIG_LOCATION_SUFFIX`
`".groovy"`
org.springframework.web.context.support.StandardServletEnvironment
Modifier and Type
Constant Field
Value
`public static final String`
`JNDI_PROPERTY_SOURCE_NAME`
`"jndiProperties"`
`public static final String`
`SERVLET_CONFIG_PROPERTY_SOURCE_NAME`
`"servletConfigInitParams"`
`public static final String`
`SERVLET_CONTEXT_PROPERTY_SOURCE_NAME`
`"servletContextInitParams"`
org.springframework.web.context.support.XmlWebApplicationContext
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CONFIG_LOCATION`
`"/WEB-INF/applicationContext.xml"`
`public static final String`
`DEFAULT_CONFIG_LOCATION_PREFIX`
`"/WEB-INF/"`
`public static final String`
`DEFAULT_CONFIG_LOCATION_SUFFIX`
`".xml"`

org.springframework.web.cors.CorsConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`ALL`
`"*"`

org.springframework.web.filter.AbstractRequestLoggingFilter
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_AFTER_MESSAGE_PREFIX`
`"After request ["`
`public static final String`
`DEFAULT_AFTER_MESSAGE_SUFFIX`
`"]"`
`public static final String`
`DEFAULT_BEFORE_MESSAGE_PREFIX`
`"Before request ["`
`public static final String`
`DEFAULT_BEFORE_MESSAGE_SUFFIX`
`"]"`
org.springframework.web.filter.HiddenHttpMethodFilter
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_METHOD_PARAM`
`"_method"`
org.springframework.web.filter.OncePerRequestFilter
Modifier and Type
Constant Field
Value
`public static final String`
`ALREADY_FILTERED_SUFFIX`
`".FILTERED"`

org.springframework.web.filter.reactive.HiddenHttpMethodFilter
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_METHOD_PARAMETER_NAME`
`"_method"`

org.springframework.web.jsf.DelegatingNavigationHandlerProxy
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TARGET_BEAN_NAME`
`"jsfNavigationHandler"`

org.springframework.web.jsf.el.WebApplicationContextFacesELResolver
Modifier and Type
Constant Field
Value
`public static final String`
`WEB_APPLICATION_CONTEXT_VARIABLE_NAME`
`"webApplicationContext"`

org.springframework.web.multipart.support.MultipartFilter
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_MULTIPART_RESOLVER_BEAN_NAME`
`"filterMultipartResolver"`

org.springframework.web.server.adapter.AbstractReactiveWebInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SERVLET_NAME`
`"http-handler-adapter"`
org.springframework.web.server.adapter.WebHttpHandlerBuilder
Modifier and Type
Constant Field
Value
`public static final String`
`FORWARDED_HEADER_TRANSFORMER_BEAN_NAME`
`"forwardedHeaderTransformer"`
`public static final String`
`LOCALE_CONTEXT_RESOLVER_BEAN_NAME`
`"localeContextResolver"`
`public static final String`
`SERVER_CODEC_CONFIGURER_BEAN_NAME`
`"serverCodecConfigurer"`
`public static final String`
`WEB_HANDLER_BEAN_NAME`
`"webHandler"`
`public static final String`
`WEB_SESSION_MANAGER_BEAN_NAME`
`"webSessionManager"`

org.springframework.web.server.session.HeaderWebSessionIdResolver
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_HEADER_NAME`
`"SESSION"`

org.springframework.web.util.CookieGenerator
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_COOKIE_PATH`
`"/"`
org.springframework.web.util.TagUtils
Modifier and Type
Constant Field
Value
`public static final String`
`SCOPE_APPLICATION`
`"application"`
`public static final String`
`SCOPE_PAGE`
`"page"`
`public static final String`
`SCOPE_REQUEST`
`"request"`
`public static final String`
`SCOPE_SESSION`
`"session"`
org.springframework.web.util.WebUtils
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_TYPE_CHARSET_PREFIX`
`";charset="`
`public static final String`
`DEFAULT_CHARACTER_ENCODING`
`"ISO-8859-1"`
`public static final String`
`DEFAULT_WEB_APP_ROOT_KEY`
`"webapp.root"`
`public static final String`
`ERROR_EXCEPTION_ATTRIBUTE`
`"jakarta.servlet.error.exception"`
`public static final String`
`ERROR_EXCEPTION_TYPE_ATTRIBUTE`
`"jakarta.servlet.error.exception_type"`
`public static final String`
`ERROR_MESSAGE_ATTRIBUTE`
`"jakarta.servlet.error.message"`
`public static final String`
`ERROR_REQUEST_URI_ATTRIBUTE`
`"jakarta.servlet.error.request_uri"`
`public static final String`
`ERROR_SERVLET_NAME_ATTRIBUTE`
`"jakarta.servlet.error.servlet_name"`
`public static final String`
`ERROR_STATUS_CODE_ATTRIBUTE`
`"jakarta.servlet.error.status_code"`
`public static final String`
`FORWARD_CONTEXT_PATH_ATTRIBUTE`
`"jakarta.servlet.forward.context_path"`
`public static final String`
`FORWARD_PATH_INFO_ATTRIBUTE`
`"jakarta.servlet.forward.path_info"`
`public static final String`
`FORWARD_QUERY_STRING_ATTRIBUTE`
`"jakarta.servlet.forward.query_string"`
`public static final String`
`FORWARD_REQUEST_URI_ATTRIBUTE`
`"jakarta.servlet.forward.request_uri"`
`public static final String`
`FORWARD_SERVLET_PATH_ATTRIBUTE`
`"jakarta.servlet.forward.servlet_path"`
`public static final String`
`HTML_ESCAPE_CONTEXT_PARAM`
`"defaultHtmlEscape"`
`public static final String`
`INCLUDE_CONTEXT_PATH_ATTRIBUTE`
`"jakarta.servlet.include.context_path"`
`public static final String`
`INCLUDE_PATH_INFO_ATTRIBUTE`
`"jakarta.servlet.include.path_info"`
`public static final String`
`INCLUDE_QUERY_STRING_ATTRIBUTE`
`"jakarta.servlet.include.query_string"`
`public static final String`
`INCLUDE_REQUEST_URI_ATTRIBUTE`
`"jakarta.servlet.include.request_uri"`
`public static final String`
`INCLUDE_SERVLET_PATH_ATTRIBUTE`
`"jakarta.servlet.include.servlet_path"`
`public static final String`
`RESPONSE_ENCODED_HTML_ESCAPE_CONTEXT_PARAM`
`"responseEncodedHtmlEscape"`
`public static final String`
`TEMP_DIR_CONTEXT_ATTRIBUTE`
`"jakarta.servlet.context.tempdir"`
`public static final String`
`WEB_APP_ROOT_KEY_PARAM`
`"webAppRootKey"`